export declare type SearchMode = 'color' | 'bovw';
export declare type FileType = 'jpeg' | 'png';
export declare type SourceType = 'pixiv' | 'twitter' | 'amazon' | 'dlsite' | 'tinami' | 'ニコニコ静画';
export interface Author {
    name: string;
    url: string;
}
export interface Source {
    type: SourceType;
    title: string;
    url: string;
    author?: Author;
}
export interface ExternalInfo {
    ref: string;
    content: Source | string;
}
export interface Item {
    hash: string;
    thumbnailUrl: string;
    width: number;
    height: number;
    fileType: FileType;
    fileSize: number;
    source?: Source;
    externalInfo?: ExternalInfo;
}
export interface SearchResult {
    url: string;
    items: Item[];
}
export declare function searchByUrl(imageUrl: string, mode?: SearchMode): Promise<SearchResult>;
export declare function searchByFile(filePath: string, mode?: SearchMode): Promise<SearchResult>;
